--- old/usr/src/Makefile.master	2018-12-10 01:35:46.902497360 +0000
+++ new/usr/src/Makefile.master	2018-12-10 01:35:46.918592634 +0000
@@ -484,8 +484,9 @@
 CALLSYMS=	-W0,-xdbggen=no%usedonly
 
 #
-# Default debug format for Sun Studio 11 is dwarf, so force it to
-# generate stabs.
+# We force the compilers to generate the debugging information best understood
+# by the CTF tools.  With Sun Studio this is stabs due to bugs in the Studio
+# compilers.  With GCC this is DWARF v2.
 #
 DEBUGFORMAT=	-_cc=-xdebugformat=stabs -_gcc=-gdwarf-2
 
@@ -495,8 +496,7 @@
 CCGDEBUG= -g $(DEBUGFORMAT)
 
 #
-# Flags used to build in debug mode for ctf generation.  Bugs in the Devpro
-# compilers currently prevent us from building with cc-emitted DWARF.
+# Flags used to build in debug mode for ctf generation.  
 #
 CTF_FLAGS_sparc	= $(CCGDEBUG) -Wc,-Qiselect-T1 $(CSTD) $(CNOGLOBAL)
 CTF_FLAGS_i386	= $(CCGDEBUG) $(CSTD) $(CNOGLOBAL)
@@ -514,13 +514,15 @@
 #
 # Flags used with genoffsets
 #
-GENOFFFLAGS = $(CALLSYMS)
+GENOFFSETS_FLAGS = $(CALLSYMS)
 
 OFFSETS_CREATE = $(GENOFFSETS) -s $(CTFSTABS) -r $(CTFCONVERT) \
-	$(CW) --noecho $(CW_CC_COMPILERS) -- $(GENOFFFLAGS) $(CFLAGS) $(CPPFLAGS)
+	$(CW) --noecho $(CW_CC_COMPILERS) -- $(GENOFFSETS_FLAGS) \
+	$(CFLAGS) $(CPPFLAGS)
 
 OFFSETS_CREATE64 = $(GENOFFSETS) -s $(CTFSTABS) -r $(CTFCONVERT) \
-	$(CW) --noecho $(CW_CC_COMPILERS) -- $(GENOFFFLAGS) $(CFLAGS64) $(CPPFLAGS)
+	$(CW) --noecho $(CW_CC_COMPILERS) -- $(GENOFFSETS_FLAGS) \
+	$(CFLAGS64) $(CPPFLAGS)
 
 #
 # tradeoff time for space (smaller is better)
